'use strict'

const findServer = require('../findAddr')

/** 正式服务器地址 */
const PROD_HOST = 'https://qiaoxin.wuyeface.com'
/** 正式服务器端口号 */
const PROD_PORT = 0
// /** 测试服务器地址 */
// const PROD_HOST = 'http://qiaoxintest.wuyeface.com'
// /** 测试服务器端口号 */
// const PROD_PORT = 5803
/** 微信首页地址 */
const wechatRootUrl = "wechat/#/index"

const currFile = __filename.split("/").pop()

let serverConfig = {
  /**
   * 正式环境
   * 【注】如果没有端口号，port填null
   */
    /** 报事报修地址 */
  crm400: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/landcrm'
  },
  /** 商城地址 */
  walter: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/community'
  },
  /** 会所接口地址 */
  club: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/community'
  },
  /** 微信运营-管家地址 */
  houserkeep: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/steward'
  },
  /** 微信运营-活动地址 */
  activity: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/activity'
  },
  /** 微信运营-公告 */
  article: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/media'
  },
  /** 微信运营-管家 */
  steward: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/steward'
  },
  /** 微信运营-问卷调查 */
  question: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/question'
  },
  /** 收费 */
  charge: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/voucher'
  },
  /** 用餐预定、会议室预定 */
  activiti: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/activiti'
  },
  /** 装修申请 */
  decorationManage: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/decorationManage'
  },
  /** 物品放行 */
  itemPassport: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/decpassManagement'
  },
  /** qpi */
  qpi: {
    addr: 'http://101.37.179.25',
    port: 5802,
    path: '/'
  },
  // /** qpi */
  // qpi: {
  //   addr: PROD_HOST,
  //   port: PROD_PORT,
  //   path: '/qpi'
  // },
  /** 尾房 */
  itemHouse: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wf'
  },
  /** 尾房 */
  datashow: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/datashow'
  },
  /** 尾房 */
  warning: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/warning'
  },
  /** 尾房 */
  groupcontrol: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/groupcontrol'
  },
  /** 尾房 */
  energyCharging: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/energyCharging'
  },
  /** 尾房 */
  wuyecrm: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wuyecrm'
  }
}

module.exports = {
  NODE_ENV: '"production"',
  domain: JSON.stringify(PROD_HOST),
  wxRootUrl: JSON.stringify(wechatRootUrl),
  currProjectName: '"qiaoxin"',
  hostConfig: JSON.stringify(serverConfig),
  findAddr: findServer,
}
