'use strict'

const findServer = require('../findAddr')

// /** 正式服务器地址 */
// const PROD_HOST = "wyservice.gzbfdc.com"
// /** 正式服务器端口号 */
// const PROD_PORT = 5008
/** 测试服务器地址 */
const PROD_HOST = 'http://csms.cfldcn.com'
/** 测试服务器端口号 */
const PROD_PORT = 0
/** 微信首页地址 */
const wechatRootUrl = "wechat/#/index"

const currFile = __filename.split("/").pop()

let serverConfig = {
  /**
   * 正式环境
   * 【注】如果没有端口号，port填null
   */
    /** 报事报修地址 */
  crm400: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/landcrm'
  },
  /** 商城地址 */
  walter: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/community'
  },
  /** 会所接口地址 */
  club: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/community'
  },
  /** 微信运营-管家地址 */
  houserkeep: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/steward'
  },
  /** 微信运营-活动地址 */
  activity: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/activity'
  },
  /** 微信运营-公告 */
  article: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/media'
  },
  /** 微信运营-管家 */
  steward: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/steward'
  },
  /** 微信运营-问卷调查 */
  question: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wxmanage/question'
  },
  /** 收费 */
  charge: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/voucher'
  },
  /** 用餐预定、会议室预定 */
  activiti: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/activiti'
  },
  /** 装修申请 */
  decorationManage: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/decorationManage'
  },
  /** 物品放行 */
  itemPassport: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/decpassManagement'
  },
  /** 物品放行 */
  itemHouse: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/wf'
  },
  /** 尾房 */
  gf: {
    addr: PROD_HOST,
    port: PROD_PORT,
    path: '/gf'
  },
}

module.exports = {
  NODE_ENV: '"production"',
  domain: JSON.stringify(PROD_HOST),
  wxRootUrl: JSON.stringify(wechatRootUrl),
  currProjectName: '"xingfujiye"',
  hostConfig: JSON.stringify(serverConfig),
  findAddr: findServer,
	Url:JSON.stringify(PROD_HOST)
}
