'use strict'
const merge = require('webpack-merge')
const prodEnv = require('./prod.env')
const findServer = require('../findAddr')

/** 测试服务器地址 */
const DEV_HOST = 'http://218.77.59.95'
/** 测试服务器端口号 */
const DEV_PORT = 5050
/** 微信首页地址 */
const wechatRootUrl = "wechat/#/index"

const currFile = __filename.split("/").pop()

/**
 * 开发环境
 * 【注】如果没有端口号，port填null
 */
var serverConfig = {
  /** 报事报修地址 */
  crm400: {
    /** addr填写服务器地址，不用写http://前缀 */
    addr: DEV_HOST,
    /** port填写服务器端口号，如果不指定端口号则填写0 */
    port: DEV_PORT,
    /** path填写接口路径 */
    path: '/landcrm'
  },
  /** 商城地址 */
  walter: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/community'
  },
  /** 会所接口地址 */
  club: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/community'
  },
  /** 微信运营-管家地址 */
  houserkeep: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/wxmanage/steward'
  },
  /** 微信运营-活动 */
  activity: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/wxmanage/activity'
  },
  /** 微信运营-文章 */
  article: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/wxmanage/media'
  },
  /** 微信运营-管家 */
  steward: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/wxmanage/steward'
  },
  /** 微信运营-问卷调查 */
  question: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/wxmanage/question'
  },
  /** 收费 */
  charge: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/voucher'
  },
  /** 用餐预定、会议室预定 */
  activiti: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/activiti'
  },
  /** 装修申请 */
  decorationManage: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/decorationManage'
  },
  /** 物品放行 */
  itemPassport: {
    addr: DEV_HOST,
    port: DEV_PORT,
    path: '/decpassManagement'
  }
}

module.exports = merge(prodEnv, {
  NODE_ENV: '"development"',
  domain: JSON.stringify(DEV_HOST),
  wxRootUrl: JSON.stringify(wechatRootUrl),
  currProjectName: '"xinhezuo"',
  hostConfig: JSON.stringify(serverConfig),
  findAddr: findServer,
})
