import fetch from '../../../../config/fetch'

const baseUrl = '/datashow';

/**
 * @description 根据公司ID，获取项目信息数据
 * @param {Object} data
 * @author zhoujx
 */
export const getProjectInfoByCompanyId = (data) => fetch('/projectInfo/getProjectInfoByCompanyId', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 实时天气
 * @param {Object} data
 * @author zhoujx
 */
export const getNowWeatherInfo = (data) => fetch('/weatherInfo/getNowWeatherInfo', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 天气预警
 * @param {Object} data
 * @author zhoujx
 */
export const getWarningWeatherInfo = (data) => fetch('/weatherInfo/getWarningWeatherInfo', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 获取深交所app页面设备总数、今日签到、本月维修、本月巡检、本月维保
 * @param {Object} data
 * @author zhoujx
 */
export const getShenJiaoSuoBaseData = (data) => fetch('/shenJiaoSuo/getShenJiaoSuoBaseData', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description app页面设备预警数量
 * @param {Object} data
 * @author zhoujx
 */
export const getDeviceWarningNum = (data) => fetch('/shenJiaoSuo/getDeviceWarningNum', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 获取深交所app页面重要设施设备运行状况
 * @param {Object} data
 * @author zhoujx
 */
export const getCountDeviceStateOnLevelGroup = (data) => fetch('/shenJiaoSuo/getCountDeviceStateOnLevelGroup', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 获取深交所app页面设备详情(正常、维保、停用)
 * @param {Object} data
 * @author zhoujx
 */
export const getDeviceDetailsForSjsNormal = (data) => fetch('/shenJiaoSuo/getDeviceDetailsForSjsNormal', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 获取深交所app页面设备详情(故障)
 * @param {Object} data
 * @author zhoujx
 */
export const getDeviceDetailsForSjsMalfunction = (data) => fetch('/shenJiaoSuo/getDeviceDetailsForSjsMalfunction', baseUrl, data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 水电气上月统计数据
 * @param {Object} data
 * @author zhoujx
 */
export const getMonthWaterElectricityGasStatistics = (data) => fetch('/sjsEnergy/getMonthWaterElectricityGasStatistics', '/energy-charging', data, 'JSON', 'GET', 'FORMDATA');

/**
 * @description 水电气年统计数据
 * @param {Object} data
 * @author zhoujx
 */
export const getYearWaterElectricityGasStatistics = (data) => fetch('/sjsEnergy/getYearWaterElectricityGasStatistics', '/energy-charging', data, 'JSON', 'GET', 'FORMDATA');

